GNU bug report logs - #37486
[PATCH] gnu: Add goattracker

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mikhail Kirillov <w96k@HIDDEN>; Keywords: patch; merged with #37487; dated Mon, 23 Sep 2019 00:58:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 37486 <at> debbugs.gnu.org:


Received: (at 37486) by debbugs.gnu.org; 6 Oct 2019 12:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 06 08:45:26 2019
Received: from localhost ([127.0.0.1]:45789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iH5ug-00030f-Gn
	for submit <at> debbugs.gnu.org; Sun, 06 Oct 2019 08:45:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iH5ub-0002qp-Sn
 for 37486 <at> debbugs.gnu.org; Sun, 06 Oct 2019 08:45:22 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55925)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iH5uW-00023Q-MX; Sun, 06 Oct 2019 08:45:16 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=40800 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iH5uV-0002vR-M0; Sun, 06 Oct 2019 08:45:16 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mikhail Kirillov <w96k@HIDDEN>
Subject: Re: [bug#37486] [PATCH] gnu: Add goattracker
References: <20190923005600.22799-1-w96k@HIDDEN>
Date: Sun, 06 Oct 2019 14:45:14 +0200
In-Reply-To: <20190923005600.22799-1-w96k@HIDDEN> (Mikhail Kirillov's
 message of "Mon, 23 Sep 2019 03:56:00 +0300")
Message-ID: <87bluudov9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37486
Cc: 37486 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Mikhail,

Mikhail Kirillov <w96k@HIDDEN> skribis:

> * gnu/packages/music.scm: Add goattracker

Thanks for the updated patch.

I started looking into it, fixing an issue reported by =E2=80=98guix lint=
=E2=80=99, and
cleaning up the source, leading to the following patch.

However, goattracker no fails to build because of a missing =E2=80=98.bin=
=E2=80=99 file.

Do you know what these =E2=80=98.bin=E2=80=99 (and =E2=80=98.dat=E2=80=99) =
files are, what their license
is, and what can be done with them?

Thanks in advance,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 7216075c34..84b602ae36 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -4598,7 +4598,14 @@ with error and volume history, and advanced features=
.")
                     version "/GoatTracker_" version ".zip"))
               (sha256
                (base32
-                "1km97nl7qvk6qc5l5j69wncbm76hf86j47sgzgr968423g0bxxlk"))))
+                "1km97nl7qvk6qc5l5j69wncbm76hf86j47sgzgr968423g0bxxlk"))
+              (modules '((guix build utils)))
+              (snippet
+               '(begin
+                  ;; Remove binaries from the source tarball.
+                  (for-each delete-file
+                            (find-files "." "\\.(o|dll|exe|bin)$"))
+                  #t))))
     (arguments
      `(#:tests? #f
        #:make-flags '("CC=3Dgcc")
@@ -4613,7 +4620,7 @@ with error and volume history, and advanced features.=
")
          (replace 'install
            (lambda* (#:key inputs outputs #:allow-other-keys)
              (chdir "../linux")
-             (invoke "ln" "-s" "goattrk2" "goattracker")
+             (symlink "goattrk2" "goattracker")
              (copy-recursively "./" (string-append
                                      (assoc-ref %outputs "out")
                                      "/bin"))
@@ -4626,5 +4633,5 @@ with error and volume history, and advanced features.=
")
     (description "GoatTracker is a cross-platform tracker written by Lasse
 =C3=96=C3=B6rni, producing SID chiptune music for the Commodore 64, and re=
leased with
 source code under the GPL.")
-    (home-page "https://goattracker2.sourceforge.io/")
-    (license license:gpl2)))
+    (home-page "http://goattracker2.sourceforge.net/")
+    (license license:gpl2+)))

--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#37486; Package guix-patches. Full text available.
Merged 37486 37487. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Sep 2019 00:57:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 22 20:57:54 2019
Received: from localhost ([127.0.0.1]:34718 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iCCfp-0003o8-Lm
	for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 20:57:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:36964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <w96k@HIDDEN>) id 1iCCeJ-0003lw-9G
 for submit <at> debbugs.gnu.org; Sun, 22 Sep 2019 20:56:19 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53824)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <w96k@HIDDEN>) id 1iCCeH-0000Dk-7u
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:56:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.3 required=5.0 tests=BAYES_05, MIME_CHARSET_FARAWAY,
 RCVD_IN_DNSWL_MED,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <w96k@HIDDEN>) id 1iCCeD-0001Ze-TD
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:56:17 -0400
Received: from mout02.posteo.de ([185.67.36.142]:40245)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <w96k@HIDDEN>) id 1iCCeD-0001ZG-Nf
 for guix-patches@HIDDEN; Sun, 22 Sep 2019 20:56:13 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 603B92400E6
 for <guix-patches@HIDDEN>; Mon, 23 Sep 2019 02:56:11 +0200 (CEST)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 46c5VK6tcRz9rxD;
 Mon, 23 Sep 2019 02:56:09 +0200 (CEST)
From: Mikhail Kirillov <w96k@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add goattracker
Date: Mon, 23 Sep 2019 03:56:00 +0300
Message-Id: <20190923005600.22799-1-w96k@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Type: text/plain; charset=y
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.142
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 22 Sep 2019 20:57:52 -0400
Cc: Mikhail Kirillov <w96k@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

* gnu/packages/music.scm: Add goattracker
---
 gnu/packages/music.scm | 43 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 4d1e11f260..5cedb36695 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -23,6 +23,7 @@
 ;;; Copyright =C2=A9 2019 Timotej Lazar <timotej.lazar@HIDDEN>
 ;;; Copyright =C2=A9 2019 Jakob L. Kreuze <zerodaysfordays@HIDDEN=
org>
 ;;; Copyright =C2=A9 2019 raingloom <raingloom@HIDDEN>
+;;; Copyright =C2=A9 2019 Mikhail Kirillov <w96k@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -4592,3 +4593,45 @@ with error and volume history, and advanced featur=
es.")
     ;; Most of the code is under GPL2+, but some abstract or helper clas=
ses
     ;; are under LGPL2.1.
     (license (list license:gpl2+ license:lgpl2.1))))
+
+(define-public goattracker
+  (package
+    (name "goattracker")
+    (version "2.75")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "mirror://sourceforge/goattracker2/GoatTracker 2/"
+                    version "/GoatTracker_" version ".zip"))
+              (sha256
+               (base32
+                "1km97nl7qvk6qc5l5j69wncbm76hf86j47sgzgr968423g0bxxlk"))=
))
+    (arguments
+     `(#:tests? #f
+       #:make-flags '("CC=3Dgcc")
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-after 'unpack 'prepare
+           (lambda _
+             (chdir "src")
+             (invoke "make" "clean")
+             #t))
+         (replace 'install
+           (lambda* (#:key inputs outputs #:allow-other-keys)
+             (chdir "../linux")
+             (invoke "ln" "-s" "goattrk2" "goattracker")
+             (copy-recursively "./" (string-append
+                                     (assoc-ref %outputs "out")
+                                     "/bin"))
+             #t)))))
+    (native-inputs
+     `(("sdl" ,sdl)
+       ("unzip" ,unzip)))
+    (build-system gnu-build-system)
+    (synopsis "Crossplatform C64 music tracker")
+    (description "GoatTracker is a cross-platform tracker written by Las=
se
+=C3=96=C3=B6rni, producing SID chiptune music for the Commodore 64, and =
released with
+source code under the GPL.")
+    (home-page "https://goattracker2.sourceforge.io/")
+    (license license:gpl2)))
--=20
2.23.0





Acknowledgement sent to Mikhail Kirillov <w96k@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#37486; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 6 Oct 2019 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.